/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== DriverTable.c ========
 */

#include <string.h>
#include <stdlib.h>
#include <xdc/std.h>

#include <xdc/runtime/Error.h>
#include <xdc/runtime/Assert.h>
#include <xdc/runtime/Gate.h>

#include <ti/ipc/NameServer.h>
#include <ti/sdo/io/IDriver.h>

#include "package/internal/DriverTable.xdc.h"


/*
 *************************************************************************
 *                      Module functions
 *************************************************************************
 */

/*!
 *  ======== DriverTable_add ========
 */
Void DriverTable_add(String name, IDriver_Handle handle,  Error_Block *eb)
{
    NameServer_addUInt32((NameServer_Handle)DriverTable_module->drvTable, name,
                         (UInt32)handle); 
}

/*!
 *  ======== DriverTable_remove ========
 */
Void DriverTable_remove(String name, Error_Block *eb)
{
    NameServer_remove((NameServer_Handle)DriverTable_module->drvTable, name);
}

    
/*!
 *  ======== DriverTable_match ======== 
 */
Int DriverTable_match(String name, IDriver_Handle *handle, Error_Block *eb)
{
    return (NameServer_match((NameServer_Handle)DriverTable_module->drvTable,
            name, (UInt32 *)handle));
}

/*
 */
/*
 *  @(#) ti.sdo.io; 1, 0, 0, 0,301; 4-9-2010 18:37:34; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

