/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/* 
 *  ======== DriverAdapter.xs ========
 *
 */
 
var DriverTable = null;
var NameServer = null;

/*
 * ======== module$use ========
 */
function module$use ( mod, params )
{
    DriverTable = this;
    NameServer = xdc.useModule("ti.sdo.utils.NameServer");
}

/*
 * ======== module$static$init ========
 */
function module$static$init( mod, params )
{
    var nameSrvPrms = new NameServer.Params();
    nameSrvPrms.maxRuntimeEntries = params.maxRuntimeEntries;
    nameSrvPrms.tableSection = params.tableSection;    
    nameSrvPrms.maxNameLen = params.maxNameLen;    
    
    mod.drvTable = NameServer.create("DriverTable", nameSrvPrms);
    
    for (var i=0; i < this.staticEntries.length; i++)
    {
       var entry = this.staticEntries[i];
       mod.drvTable.addUInt32Meta(entry.name, entry.handle.$orig);
    }
}


/*
 *  ======== addMeta ========
 */
function addMeta(name, handle)
{
    DriverTable = this;
    var entry = new DriverTable.Entry();
    entry.name = name;
    entry.handle = handle;
    this.staticEntries.$add(entry);
}
/*
 *  @(#) ti.sdo.io; 1, 0, 0, 0,301; 4-9-2010 18:37:35; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

