/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/* 
 *  ======== DriverTypes.xs ========
 *
 */
 
var DriverTypes = null;

/*
 * ======== module$use ========
 */
function module$use( obj, params )
{
    DriverTypes = this;
}

/*
 * ======== module$static$init ========
 */
function module$static$init( mod, params )
{
    /* for every module in the system ... */
    for (var i = 0; i < xdc.om.$modules.length; i++) {
        var curMod = xdc.om.$modules[i];
        var j = 0;
    
        if (curMod.$used) {
            for each (var prop in curMod) {
                if (prop instanceof this.ControlCmd) {
                    prop.val = curMod.Module__id << 16 | j++;
                }
            }

            //continue incrementing var j
            for each (var prop in curMod) {
                if (prop instanceof this.PacketCmd) {
                    prop.val = curMod.Module__id << 16 | j++;
                }
            }
        }
    }
}

/* 
 * The following functions are required to help xdc query a module to
 * find size and alignment of encoded types and to help initialize encode types
 * in the generated C file. These fucntions will also be used at ROV time.
 */
 
/*
 * ======== ControlCmd$sizeof ========
 */
function ControlCmd$sizeof()
{
    return Program.build.target.stdTypes.t_Int32.size;
}

/*
 * ======== ControlCmd$alignof ========
 */
function ControlCmd$alignof()
{
    return Program.build.target.stdTypes.t_Int32.align;
}

/*
 * ======== ControlCmd$encode ========
 */
function ControlCmd$encode( desc )
{
    return !desc ? "0" 
    : ("((ti_sdo_io_DriverTypes_ControlCmd)" + desc.val + ")");
}

/*
 * ======== PacketCmd$sizeof ========
 */
function PacketCmd$sizeof()
{
    return Program.build.target.stdTypes.t_Int32.size;
}

/*
 * ======== PacketCmd$alignof ========
 */
function PacketCmd$alignof()
{
    return Program.build.target.stdTypes.t_Int32.align;
}

/*
 * ======== PacketCmd$encode ========
 */
function PacketCmd$encode( desc )
{
    return !desc ? "0" 
    : ("((ti_sdo_io_DriverTypes_PacketCmd)" + desc.val + ")");
}


/*
 *  @(#) ti.sdo.io; 1, 0, 0, 0,301; 4-9-2010 18:37:35; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

