/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== Transformer.xs ========
 */
 
var DriverTypes = null;
var Stream = null;

/* 
 * ======== module$use ========
 */
function module$use()
{
    DriverTypes = xdc.useModule('ti.sdo.io.DriverTypes');
    Stream = xdc.useModule('ti.sdo.io.Stream');
}

/* 
 * ======== instance$static$init ========
 */
function instance$static$init(obj, params)
{
    obj.mode = 0;
    obj.cbFxn = null;
    obj.cbArg = null;
    obj.fxn = params.fxn;
    obj.arg = params.arg;
    obj.drvAdapHdl = false;
    obj.convHandle = null;
}


/*
 *  ======== viewInitBasic ========
 *  Initialize the 'Basic' DriverAdapter instance view.
 */
function viewInitBasic(view, obj)
{    
    var Transformer = xdc.useModule('ti.sdo.io.converters.Transformer');
    var Program = xdc.useModule('xdc.rov.Program');
    var DriverTypes = xdc.useModule('ti.sdo.io.DriverTypes');
    
    view.label = Program.getShortName(obj.$label);
    
    view.lowerConverter = obj.convHandle;
    
    if (obj.mode == DriverTypes.INPUT) {
        view.mode = "INPUT";
    }
    else {
        view.mode = "OUTPUT";
    }

    print("got here");
    view.callbackFxn = Program.lookupAddr(Number(obj.cbFxn));
    //view.callbackArg = "0x" + obj.cbArg.toString(16);
    view.callbackArg =  obj.cbArg;
    
    view.transformFxn = Program.lookupAddr(Number(obj.fxn));
    //view.transformArg = "0x" + obj.arg.toString(16);   
    view.transformArg = obj.arg;
    print("got here too");
}

/*
 *  @(#) ti.sdo.io.converters; 1, 0, 0, 0,301; 4-9-2010 18:37:39; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

