/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*!
 *   Generate driver starter files
 *
 *   This command line tool helps driver writers by generating starter
 *   files. The driver writer can then fill in driver specific code
 *   and rebuild.
 *
 *   required arguments are the output directory name "-o" and the module 
 *   name "-m".
 *
 *   The name of the module and the package name is derived from the module 
 *   name. For e.g for -m drivers.io.Uart the module name is Uart and the
 *   package name is drivers.dma. 
 *
 *   The "-o" option must inlcude package path. For the example above
 *   -o "C:\Product\drivers\dma.
 */
metaonly module Main inherits xdc.tools.mkpkg.ICmd {
    /*!
     *  ======== main ========
     *  main() function, invoked from the command line.
     *
     *  Parses command line arguments then calls {@link #mkpkg()}.
     */
    override Int main(String arguments[]);

    config String usage[] = [
        '-m modName -o outputDir',
        '[--help]',
    ];

instance:
    
    /*!
     * Name of the generated module. You need to specify package name within
     * the modName.
     */
    @CommandOption("m")
    config String modName;

}
/*
 *  @(#) ti.sdo.io.driverTemplate; 0, 00, 00,303; 4-9-2010 18:37:39; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

