/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
% var Mod = this.modName;
% if (Mod.match(".")) {
%    Mod = Mod.substring(Mod.lastIndexOf(".") + 1);
% }
% var inclName = this.modName.replace(/\./g, "/") + ".h";
/*
 *  ======== test.c ========
 *  This program uses Stream_issue/Stream_reclaim
 */
 
#include <xdc/std.h>
#include <xdc/runtime/System.h>

#include <ti/sysbios/BIOS.h>
#include <ti/sysbios/knl/Task.h>

#include <ti/sdo/io/Stream.h>
#include <`inclName`>

#include <xdc/cfg/global.h>

#define BUFSIZE 16
#define NBUFS   5

Int buf[BUFSIZE];
Ptr pbuf = &buf;

Stream_Handle handleIn, handleOut;
Int count = 1;

/*
 *  ======== main ========
 */
Int main(Int argc, Char* argv[])
{
    System_printf("Creating streams in main\n", count);

    handleIn = Stream_create("/driver", Stream_INPUT, NULL, NULL);

    handleOut = Stream_create("/driver", Stream_OUTPUT, NULL, NULL);

    BIOS_start();

    return(0);
}

/*
 *  ======== tsk0Fxn ========
 *  Task that owns input channel
 */
Void task0Fxn (UArg arg1, UArg arg2)
{
    for (;;) {
        /* empty buf issued to empty channel */
        Stream_issue(handleIn, pbuf, BUFSIZE, NULL, NULL);
        Stream_reclaim(handleIn, &pbuf, BIOS_WAIT_FOREVER, NULL, NULL);

        /* process data from INPUT channel */
        System_printf("Processing data %dth time\n", count);

        /* filled buf is sent to OUTPUT channel */
        Stream_issue(handleOut, pbuf, BUFSIZE, NULL, NULL);    
        Stream_reclaim(handleOut, &pbuf, BIOS_WAIT_FOREVER, NULL, NULL);        
        
        count++;

        if (count > NBUFS) {
            System_printf("End of stream example\n");
            System_exit(0);
        }
    }
}

/*
 *  @(#) ti.sdo.io.driverTemplate; 0, 00, 00,303; 4-9-2010 18:37:40; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

