/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
 
var TestList = xdc.useModule('regression.mp.TestList');

var OMAP4 = [];
OMAP4["core0"]      = "ti.sdo.ipc.examples.platforms.omap4430.core0";
OMAP4["core1"]      = "ti.sdo.ipc.examples.platforms.omap4430.core1";
OMAP4["dsp"]        = "ti.sdo.ipc.examples.platforms.omap4430.dsp";

var notify_example = TestList.createTest(
    "notify_example",
    [{  name: 'notify_core0',
        gldnOut: '../notify_core0.k',
        testPlatforms: [OMAP4["core0"]],
     },

     {  name: 'notify_core1',
        gldnOut: '../notify_core1.k',
        testPlatforms: [OMAP4["core1"]],
     },
    
     {  name: 'notify_dsp', 
        gldnOut: '../notify_dsp.k',
        testPlatforms: [OMAP4["dsp"]],
     },
    ]
);

var message_example = TestList.createTest(
    "message_example",
    [{  name: 'message_core0',
        gldnOut: '../message_core0.k',
        testPlatforms: [OMAP4["core0"]],
     },

     {  name: 'message_core1', 
        gldnOut: '../message_core1.k',
        testPlatforms: [OMAP4["core1"]],
     },
    
     {  name: 'message_dsp',
        gldnOut: '../message_dsp.k',
        testPlatforms: [OMAP4["dsp"]],
     },
    ]
);

var TestMPList = [
    notify_example,
    message_example
];
/*
 *  @(#) ti.sdo.ipc.examples.multicore.omap4430; 1, 0, 0, 0,68; 4-9-2010 18:39:08; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

