/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== Settings.xdc ========
 *
 */

/*!
 *  @_nodoc
 *  Family setting module
 */
metaonly module Settings 
{
    /*! returns the family specific Interrupt module delegate */
    String getDefaultInterruptDelegate();
    
    /*! returns the device specific GateSpinLock settings */
    Any getGateHWSpinlockSettings();
    
    /*! returns the device specific GateHWSem settings */
    Any getGateHWSemSettings();
    
    /*! returns the module name of the HW Gate that the device supports */
    String getHWGate();
    
    /*! returns true when the host needs to program the mmu for the slave */
    Bool getIpcSR0Setup();

    /*! returns the MultiProc.id of the HOST if configured in MultiProc */
    UInt16 getHostProcId();
    
    /*! returns whether the processor is in the build device */
    Bool procInDevice(String procName);
    
    /*! returns array of names of processors on the build device */
    Any getDeviceProcNames();   

    /*! returns the device specific NotifySetup delegate */
    String getNotifySetupDelegate();        

    /*! returns the MessageQ transport setup delegate */
    String getMessageQSetupDelegate();        
    
    /*! returns whether to generate slave data for the host */
    Bool generateSlaveDataForHost();        
}
/*
 *  @(#) ti.sdo.ipc.family; 1, 0, 0, 0,221; 4-9-2010 18:37:55; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

