/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== Interrupt.xdc ========
 *
 */


/*!
 *  ======== Interrupt ======== 
 *  c6472 based interrupt manager
 */
module Interrupt inherits ti.sdo.ipc.notifyDrivers.IInterrupt
{

    config Ptr IPCGR0;
    config Ptr IPCAR0;
    
    /*! Inter-processor interrupt id */
    config UInt INTERDSPINT;
    
    /*! Number of cores */
    config UInt numCores;

internal:

    /*! Function table */
    struct FxnTable {
        Fxn    func;
        UArg   arg;
    }
    
    /*!
     *  ======== intShmStub ========
     *  Stub function plugged as interrupt handler
     */
    Void intShmStub(UArg arg);

    struct Module_State {
        FxnTable   fxnTable[];  /* One entry for each core */
        UInt       numPlugged;  /* # of times the interrupt was registered */
    };
}
/*
 *  @(#) ti.sdo.ipc.family.c647x; 1, 0, 0, 0,31; 4-9-2010 18:37:59; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

