/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== Interrupt.xs ========
 *
 */

var deviceSettings = {
    'TMS320C6472' : {
        IPCGR0:         0x02A80540,
        IPCAR0:         0x02A80580,
        INTERDSPINT:    84,
        numCores:       6,
    },
    'TMS320C6474' : {
        IPCGR0:         0x02880900,
        IPCAR0:         0x02880940,
        INTERDSPINT:    76,
        numCores:       3,
    },
    'TMS320CTCI6498' : {
        IPCGR0:         0x02620240,
        IPCAR0:         0x02620280,
        INTERDSPINT:    90,
        numCores:       4,
    },
}

deviceSettings['TMS320CTCI6486'] = deviceSettings['TMS320C6472'];

deviceSettings['TMS320CTCI6488'] = deviceSettings['TMS320C6474'];

deviceSettings['TMS320CTCI6497'] = deviceSettings['TMS320CTCI6498'];

var Hwi;
var Interrupt;

/*
 *  ======== module$meta$init ========
 */
function module$meta$init()
{
    /* Only process during "cfg" phase */
    if (xdc.om.$name != "cfg") {
        return;
    }
    
    var settings = deviceSettings[Program.cpu.deviceName];

    this.IPCGR0         = settings.IPCGR0;
    this.IPCAR0         = settings.IPCAR0;
    this.INTERDSPINT    = settings.INTERDSPINT;
    this.numCores       = settings.numCores;
}


/*
 *  ======== module$use ========
 */
function module$use()
{   
    Interrupt = this;
    Hwi    = xdc.useModule("ti.sysbios.family.c64p.Hwi");
}

/*
 *  ======== module$static$init ========
 */
function module$static$init(mod, params)
{
    var fxnTable = Interrupt.$object.fxnTable;
    
    fxnTable.length = this.numCores;

    for each (var fxnEntry in mod.fxnTable) {
        fxnEntry.func = null;
        fxnEntry.arg = 0;
    }

    mod.numPlugged = 0;
}
/*
 *  @(#) ti.sdo.ipc.family.c647x; 1, 0, 0, 0,31; 4-9-2010 18:37:59; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

