/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== InterruptDsp.xdc ========
 *
 */

import ti.sdo.utils.MultiProc;
 
/*!
 *  ======== InterruptDsp ======== 
 *  DM740/DSP interrupt manager
 */

module InterruptDsp inherits ti.sdo.ipc.notifyDrivers.IInterrupt
{
    /* Base address for the Mailbox subsystem */
    config UInt32 mailboxBaseAddr = 0x080C8000;
    
internal:

    config UInt dspProcId   = MultiProc.INVALIDID;
    config UInt hostProcId  = MultiProc.INVALIDID;
    config UInt videoProcId = MultiProc.INVALIDID;
    config UInt dssProcId   = MultiProc.INVALIDID;

    /*! Function table */
    struct FxnTable {
        Fxn    func;
        UArg   arg;
    }

    /*!
     *  ======== intShmStub ========
     *  Stub to be plugged
     */
    Void intShmStub(UArg arg);
    
    struct Module_State {        
        FxnTable   fxnTable[3];
        UInt       numPlugged;  /* # of times the interrupt was registered */
    };
} 
/*
 *  @(#) ti.sdo.ipc.family.dm740; 1, 0, 0, 0,116; 4-9-2010 18:38:06; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

