/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== InterruptDucati.xs ========
 *
 */

var Hwi         = null;
var Core        = null;
var MultiProc   = null;

/*
 *  ======== module$use ========
 */
function module$use()
{        
    Hwi         = xdc.useModule("ti.sysbios.family.arm.m3.Hwi");
    Core        = xdc.useModule("ti.sysbios.family.arm.ducati.Core");
    MultiProc   = xdc.useModule("ti.sdo.utils.MultiProc");
    Ipc         = xdc.useModule("ti.sdo.ipc.Ipc");
    
    this.dspProcId    = MultiProc.getIdMeta("DSP");
    this.videoProcId  = MultiProc.getIdMeta("VIDEO");
    this.dssProcId    = MultiProc.getIdMeta("DSS");
    this.hostProcId   = MultiProc.getIdMeta("HOST");
}

/*
 *  ======== module$static$init ========
 *  Initialize module values.
 */
function module$static$init(mod, params)
{    
    /* M3 to C674 */
    mod.fxnTable[0].func  = null;
    mod.fxnTable[0].arg   = 0;
    
    /* M3 to HOST */
    mod.fxnTable[1].func  = null;
    mod.fxnTable[1].arg   = 0;
    
    /* Inter-M3 interrupt */
    mod.fxnTable[2].func  = null;
    mod.fxnTable[2].arg   = 0;
    
    mod.numPlugged = 0;
}
/*
 *  @(#) ti.sdo.ipc.family.dm740; 1, 0, 0, 0,116; 4-9-2010 18:38:06; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

