/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== NotifySetup.xdc ========
 *
 */
 
import ti.sdo.utils.MultiProc;

/*!
 *  ======== NotifySetup ======== 
 *  Notify setup proxy for DM740
 *
 *  This module creates and registers all drivers necessary for inter-processor
 *  notification on DM740. 
 */

module NotifySetup inherits ti.sdo.ipc.interfaces.INotifySetup
{
    /*!
     *  Interrupt vector id for DM740/DSP.
     */
    config UInt dspIntVectId = 5;

internal:

    config UInt videoProcId     = MultiProc.INVALIDID;
    config UInt dssProcId       = MultiProc.INVALIDID;
    config UInt dspProcId       = MultiProc.INVALIDID;
    
    Void setupVideo(Ptr sharedAddr);
    Void setupDss(Ptr sharedAddr);
    Void setupDsp(Ptr sharedAddr);
}
/*
 *  @(#) ti.sdo.ipc.family.dm740; 1, 0, 0, 0,116; 4-9-2010 18:38:06; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

