/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== InterruptDsp.xdc ========
 *
 */

import ti.sdo.utils.MultiProc;
 
/*!
 *  ======== InterruptDsp ======== 
 *  @_nodoc 
 *  OMAP4430/DSP interrupt manager
 */

module InterruptDsp inherits ti.sdo.ipc.notifyDrivers.IInterrupt
{
    /* Base address for the Mailbox subsystem */
    config UInt32 mailboxBaseAddr = 0x4A0F4000;

internal: 

    /*! Statically retrieve procIds to avoid doing this at runtime */
    config UInt dspProcId   = MultiProc.INVALIDID;
    config UInt hostProcId  = MultiProc.INVALIDID;
    config UInt core0ProcId = MultiProc.INVALIDID;
    config UInt core1ProcId = MultiProc.INVALIDID;
    
    /* Function table */
    struct FxnTable {
        Fxn    func;
        UArg   arg;
    }

    /*!
     *  ======== intShmStub ========
     *  Stub used to plug Hwi
     */
    Void intShmStub(UArg arg);
    
    struct Module_State {        
        FxnTable    fxnTable[2];
        Bool        numPlugged;
    };
} 
        
/*
 *  @(#) ti.sdo.ipc.family.omap4430; 1, 0, 0, 0,113; 4-9-2010 18:38:12; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

