/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== InterruptDucati.xdc ========
 *
 */
 
import ti.sdo.utils.MultiProc;

/*!
 *  ======== InterruptDucati ======== 
 *  OMAP4430/Ducati IPC interrupt manager
 */

module InterruptDucati inherits ti.sdo.ipc.notifyDrivers.IInterrupt
{
    /* Base address for the Mailbox subsystem */
    config UInt32 mailboxBaseAddr = 0x4A0F4000;

    /* Base address for the Ducati CTRL register */
    config UInt32 ducatiCtrlBaseAddr = 0x55081000;
    
internal: 

    /* Function table */
    struct FxnTable {
        Fxn    func;
        UArg   arg;
    }

    /*! Stub to plug the inter-Ducati hwi */
    Void intShmDucatiStub(UArg arg);
    
    /*! Stub to plug the Mailbox hwi */
    Void intShmMbxStub(UArg arg);
    
    struct Module_State {        
        FxnTable   fxnTable[3];
        Bool       numPlugged;
    };
    
    /*! Statically retrieve procIds to avoid doing this at runtime */    
    config UInt dspProcId   = MultiProc.INVALIDID;
    config UInt hostProcId  = MultiProc.INVALIDID;
    config UInt core0ProcId = MultiProc.INVALIDID;
    config UInt core1ProcId = MultiProc.INVALIDID;
} 
        
/*
 *  @(#) ti.sdo.ipc.family.omap4430; 1, 0, 0, 0,113; 4-9-2010 18:38:12; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

