/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== NotifySetup.xdc ========
 *
 */
 
import ti.sdo.utils.MultiProc;
import xdc.runtime.Error;

/*!
 *  ======== NotifySetup ======== 
 *  Notify setup proxy for OMAP4430
 *
 *  This module creates and registers all drivers necessary for inter-processor
 *  notification on OMAP4430. 
 */

module NotifySetup inherits ti.sdo.ipc.interfaces.INotifySetup
{
    /*!
     *  Assert raised when trying to attach between OMAP4430/CORE1 and
     *  either the DSP or the HOST
     */
    config Error.Id E_noInterruptLine  = {
        msg: "E_noInterruptLine: Trying to attach between CORE1 and %s"
    };
    
    /*!
     *  Interrupt vector id for OMAP4430/DSP.
     */
    config UInt dspIntVectId = 5;

internal:

    config UInt dspProcId       = MultiProc.INVALIDID;
    config UInt core0ProcId     = MultiProc.INVALIDID;
    config UInt core1ProcId     = MultiProc.INVALIDID;
    config UInt hostProcId      = MultiProc.INVALIDID;
}
/*
 *  @(#) ti.sdo.ipc.family.omap4430; 1, 0, 0, 0,113; 4-9-2010 18:38:12; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

