/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== delegateDocGen.xs ========
 *
 */

outFileName = "doc-files/procNames.html";
 
/*
 *  ======== getFamilyIndex ========
 *  Returns a list of families corresponding to each target
 */
function getProcNames() 
{
    var settings = xdc.loadCapsule("Settings.xs");

    return (settings.procNames);
}

/*
 * ======== getHTML ========
 */
function getHTML(procNames) 
{
    var html = "";

    html += "<HTML>\n<HEAD>\n" +
            "<TITLE>IPC Supported Devices and Processor Names</TITLE>\n" +
            "</HEAD>\n</HTML>\n";
    html += "<BODY>\n" +
            "<H2>Supported devices and valid processor names</H2>\n" +
            "<P>The processor names listed for each device are the only \n" +
            "   valid names that can be used for configuration of the \n" +
            "   MultiProc module.  Refer to the cdoc for MultiProc for \n" +
            "   more information.</P>\n";
                    
    html += "<TABLE BORDER=\"1\"><TR><TH>Device catalog name</TH>\n" +
            "           <TH>Valid processor names</TH></TR>\n"
    for (var catalogName in procNames) {
        html += "<TR><TD>" + catalogName + "</TD>\n<TD>";
        for each (var procName in procNames[catalogName]) {
            html += procName + " ";
        }
        html += "</TD></TR>\n";
    }

    html += "</TABLE></BODY></HTML>\n";
    
    return (html);
            
}     

/*
 *  ======== writeFile ========
 *  Given a string and a filename, writeFile() writes the string to a new file
 *  located at 'out'
 */
function writeFile(filename, out) 
{
    try { 
        var outputFile = java.io.File(filename);
        if (outputFile.exists()) {
            outputFile["delete"]();
        }
        var fos = java.io.FileWriter(outputFile);
        fos.write(out);
        fos.close();
    }
    catch (e) {
        throw("Error writing file '" + filename + "'");
    }
}

/* Execution starts here */
var procNames = getProcNames();
writeFile(outFileName, getHTML(procNames));
/*
 *  @(#) ti.sdo.ipc.family; 1, 0, 0, 0,221; 4-9-2010 18:37:55; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

