/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== GateHWSpinlock.xs ========
 *
 */
 
var GateHWSpinlock = null;
var GateMP      = null;
var Ipc         = null;



/*!
 *  ======== module$use ========
 */
function module$use()
{
    GateHWSpinlock = this;
    GateMP  = xdc.useModule('ti.sdo.ipc.GateMP');
    Ipc     = xdc.useModule('ti.sdo.ipc.Ipc');
    
    var Settings = xdc.module("ti.sdo.ipc.family.Settings");
    var devCfg = Settings.getGateHWSpinlockSettings();
    GateHWSpinlock.numLocks = devCfg.numLocks;
    
    if (GateHWSpinlock.baseAddr == null) {
        GateHWSpinlock.baseAddr = devCfg.baseAddr;
    }
} 


/*
 *  ======== queryMeta ========
 */
function queryMeta(qual)
{
    var rc = false;
    var IGateProvider = xdc.module('xdc.runtime.IGateProvider');

    switch (qual) {
        case IGateProvider.Q_BLOCKING:
            rc = true;
            break;
        case IGateProvider.Q_PREEMPTING:
            rc = true;
            break;
        default:
           GateHWSpinlock.$logWarning("Invalid quality.", this, qual);
           break;
    }

    return (rc);
}

/*
 *  ======== getNumResources ========
 */
function getNumResources()
{
    return (GateHWSpinlock.numLocks);
}

/*
 *************************************************************************
 *                       ROV View functions
 *************************************************************************
 */

/*
 *  ======== getRemoteStatus$view ========
 */
function getRemoteStatus$view(handle)
{
    /* HW Spinlocks don't offer status */
    return("[no status]");
}
 
/*
 *  ======== viewInitBasic ========
 */
function viewInitBasic(view, obj)
{    
    GateHWSpinlock = xdc.useModule('ti.sdo.ipc.gates.GateHWSpinlock');
    
    /* view.lockNum */
    view.lockNum = obj.lockNum;
    
    /* view.nested */
    view.nested = obj.nested;
}
/*
 *  @(#) ti.sdo.ipc.gates; 1, 0, 0, 0,142; 4-9-2010 18:38:19; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

