/*
 *  Copyright 2010 by Texas Instruments Incorporated.
 *
 */

/*
 *  ======== GateMPSupportNull.c ========
 *  Implementation of functions specified in GateMPSupportNull.xdc.
 *
 */

#include <xdc/std.h>
#include <xdc/runtime/Error.h>
#include <xdc/runtime/Assert.h>

#include <ti/sdo/ipc/interfaces/IGateMPSupport.h>

#include "package/internal/GateMPSupportNull.xdc.h"

/*
 *  ======== GateMPSupportNull_Instance_init ========
 */
Void GateMPSupportNull_Instance_init(GateMPSupportNull_Object *obj, IGateMPSupport_LocalProtect localProtect, 
                             const GateMPSupportNull_Params *params)
{
    obj->resourceId = params->resourceId;
}

/*
 *  ======== GateMPSupportNull_open ========
 */
Int GateMPSupportNull_open(IGateMPSupport_Handle handle, Error_Block *eb)
{   
    return (0);
}

/*
 *  ======== GateMPSupportNull_close ========
 */
Void GateMPSupportNull_close(IGateMPSupport_Handle handle)
{    
}

/*
 *  ======== GateMPSupportNull_getResourceId ========
 */
Bits32 GateMPSupportNull_getResourceId(GateMPSupportNull_Object *obj)
{    
    return (1);
}

/*
 *  ======== GateMPSupportNull_enter ========
 *  Returns FIRST_ENTER when it gets the gate, returns NESTED_ENTER
 *  on nested calls.
 */
IArg GateMPSupportNull_enter(GateMPSupportNull_Object *obj)
{
    if (GateMPSupportNull_action == GateMPSupportNull_Action_ASSERT) {
        Assert_isTrue(FALSE, GateMPSupportNull_A_invalidAction);
    }
    
    return (0);
}

/*
 *  ======== GateMPSupportNull_leave ========
 *  Only releases the gate if key == FIRST_ENTER.
 */
Void GateMPSupportNull_leave(GateMPSupportNull_Object *obj, IArg key)
{
    if (GateMPSupportNull_action == GateMPSupportNull_Action_ASSERT) {
        Assert_isTrue(FALSE, GateMPSupportNull_A_invalidAction);
    }
}

/*
 *  ======== GateSupportNull_query ========
 *  
 */
Bool GateMPSupportNull_query(Int qual)
{
    return (FALSE);
}


/*
 *  ======== GateMPSupportNull_sharedMemReq ========
 */
SizeT GateMPSupportNull_sharedMemReq(const IGateMPSupport_Params *params)
{
    return (0);
}
/*
 *  @(#) ti.sdo.ipc.gates; 1, 0, 0, 0,142; 4-9-2010 18:38:19; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

