/*
 *  Copyright 2010 by Texas Instruments Incorporated.
 *
 */

/*
 *  ======== GateMPSupportNull.xdc ========
 *
 */

import xdc.runtime.Assert;

/*!
 *  ======== GateMPSupportNull ======== 
 *  Module to plug GateMP proxies 
 */
module GateMPSupportNull inherits ti.sdo.ipc.interfaces.IGateMPSupport
{   

    /*!
     *  Assert raised when trying to use GateMPSupportNull's enter or leave     
     */
    config Assert.Id A_invalidAction  = {
        msg: "A_invalidAction: Cannot use ti.sdo.ipc.gates.GateMPSupportNull"
    };
    
    /*!     
     *  Error codes returned by certain calls in GateMP
     */
    enum Action {
        Action_NONE   =  0,                
        Action_ASSERT =  1
    };
    
    /*!
     *  ======== action ========
     *  Assert if the enter and/or leave is called
     */
    config Action action = Action_ASSERT;
    
instance:    
internal:

    struct Instance_State {
        UInt   resourceId;
    };

}
/*
 *  @(#) ti.sdo.ipc.gates; 1, 0, 0, 0,142; 4-9-2010 18:38:19; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

