/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== ITransportSetup.xdc ========
 *
 */

/*
 *  ======== Revision History ========
 *  
 */

interface ITransportSetup {

    /*! Function that will be called in MessageQ_attach */
    Int attach(UInt16 remoteProcId, Ptr sharedAddr);

    /*! Function that will be called in MessageQ_detach */
    Int detach(UInt16 remoteProcId);

    /*! Determines if a transport has been registered to a remote processor */
    Bool isRegistered(UInt16 remoteProcId);

    /*! Shared memory required */
    SizeT sharedMemReq(Ptr sharedAddr);
}
/*
 *  @(#) ti.sdo.ipc.interfaces; 1, 0, 0, 0,298; 4-9-2010 18:38:25; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

