/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 * */
metaonly module IpcTemplate inherits xdc.tools.IRtscProductTemplate {
    config xdc.tools.IRtscProductTemplate.TemplateInfo streamCfgTemplate =
        {
            title: "Stream Configuration",
            fileList: ["../../io/examples/stream.cfg"],
            description: "This template defines the stream example configuration.",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo listCfgTemplate =
        {
            title: "List Configuration",
            fileList: ["../../utils/examples/list.cfg"],
            description: "This template defines a basic configuration for List example",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo multiProcCfgTemplate =
        {
            title: "MultiProc Configuration",
            fileList: ["../../utils/examples/multiProc.cfg"],
            description: "This template defines a configuration for multiProc example",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo multiProcSingleImageCfgTemplate =
        {
            title: "MultiProc for a Single Image Configuration",
            fileList: ["../../utils/examples/multiProc.cfg"],
            description: "This template defines a configuration for multiProc example",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyLoopbackCfgTemplate =
        {
            title: "Notify Single Processor Configuration",
            fileList: ["../../ipc/examples/singlecore/notify_loopback.cfg"],
            description: "This template defines a configuration for notify example",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageCfgTemplate =
        {
            title: "MessageQ Single Processor Configuration",
            fileList: ["../../ipc/examples/singlecore/message.cfg"],
            description: "This template defines a configuration for message example",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyVideoDM740CfgTemplate =
        {
            title: "Notify on Video Processor DM740 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM740/notify_video.cfg",
                       "../../ipc/examples/multicore/evmDM740/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on video processor on DM740 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyDSSDM740CfgTemplate =
        {
            title: "Notify on DSS Processor DM740 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM740/notify_dss.cfg",
                       "../../ipc/examples/multicore/evmDM740/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on DSS processor on DM740 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyDSPDM740CfgTemplate =
        {
            title: "Notify on DSP Processor DM740 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM740/notify_dsp.cfg",
                       "../../ipc/examples/multicore/evmDM740/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on DSP processor on DM740 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyArmDM6446CfgTemplate =
        {
            title: "Notify on Arm DM6446 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM6446/notify_arm.cfg",
                       "../../ipc/examples/multicore/evmDM6446/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on Arm processor on DM6446 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyDspDM6446CfgTemplate =
        {
            title: "Notify on Dsp DM6446 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM6446/notify_dsp.cfg",
                       "../../ipc/examples/multicore/evmDM6446/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on Dsp processor on DM6446 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyArmDA830CfgTemplate =
        {
            title: "Notify on Arm DA830 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDA830/notify_arm.cfg",
                       "../../ipc/examples/multicore/evmDA830/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on Arm processor on DA830 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyDspDA830CfgTemplate =
        {
            title: "Notify on Dsp DA830 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDA830/notify_dsp.cfg",
                       "../../ipc/examples/multicore/evmDA830/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on Dsp processor on DA830 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyArmOMAPL138CfgTemplate =
        {
            title: "Notify on Arm OMAPL138 Configuration",
            fileList: ["../../ipc/examples/multicore/evmOMAPL138/notify_arm.cfg",
                       "../../ipc/examples/multicore/evmOMAPL138/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on Arm processor on OMAPL138 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyDspOMAPL138CfgTemplate =
        {
            title: "Notify on Dsp OMAPL138 Configuration",
            fileList: ["../../ipc/examples/multicore/evmOMAPL138/notify_dsp.cfg",
                       "../../ipc/examples/multicore/evmOMAPL138/notify_common.cfg.xs"],
            description: "This template defines a configuration for notify example on Dsp processor on OMAPL138 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyC6472CfgTemplate =
        {
            title: "Notify on Dsp EVM6472 Configuration",
            fileList: ["../../ipc/examples/multicore/c6472/notify_single.cfg"],
            description: "This template defines a configuration for notify example on Dsp processor on EVM6472 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyC6474CfgTemplate =
        {
            title: "Notify on Dsp EVM6474 Configuration",
            fileList: ["../../ipc/examples/multicore/c6474/notify_single.cfg"],
            description: "This template defines a configuration for notify example on Dsp processor on EVM6474 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo notifyTCI6498CfgTemplate =
        {
            title: "Notify on Dsp TCI6498 Configuration",
            fileList: ["../../ipc/examples/multicore/simTCI6498/notify_single.cfg"],
            description: "This template defines a configuration for notify example on Dsp processor on TCI6498 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageVideoDM740CfgTemplate =
        {
            title: "MessageQ on Video Processor DM740 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM740/message_video.cfg",
                       "../../ipc/examples/multicore/evmDM740/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on video processor on DM740 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageDSSDM740CfgTemplate =
        {
            title: "MessageQ on DSS Processor DM740 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM740/message_dss.cfg",
                       "../../ipc/examples/multicore/evmDM740/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on DSS processor on DM740 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageDSPDM740CfgTemplate =
        {
            title: "MessageQ on DSP Processor DM740 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM740/message_dsp.cfg",
                       "../../ipc/examples/multicore/evmDM740/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on DSP processor on DM740 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageArmDM6446CfgTemplate =
        {
            title: "MessageQ on Arm DM6446 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM6446/message_arm.cfg",
                       "../../ipc/examples/multicore/evmDM6446/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on Arm processor on DM6446 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageDspDM6446CfgTemplate =
        {
            title: "MessageQ on DSP DM6446 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDM6446/message_dsp.cfg",
                       "../../ipc/examples/multicore/evmDM6446/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on dsp processor on DM6446 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageArmDA830CfgTemplate =
        {
            title: "MessageQ on Arm DA830 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDA830/message_arm.cfg",
                       "../../ipc/examples/multicore/evmDA830/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on Arm processor on DA830 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageDspDA830CfgTemplate =
        {
            title: "MessageQ on DSP DA830 Configuration",
            fileList: ["../../ipc/examples/multicore/evmDA830/message_dsp.cfg",
                       "../../ipc/examples/multicore/evmDA830/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on dsp processor on DA830 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageArmOMAPL138CfgTemplate =
        {
            title: "MessageQ on Arm OMAPL138 Configuration",
            fileList: ["../../ipc/examples/multicore/evmOMAPL138/message_arm.cfg",
                       "../../ipc/examples/multicore/evmOMAPL138/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on Arm processor on OMAPL138 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageDspOMAPL138CfgTemplate =
        {
            title: "MessageQ on DSP OMAPL138 Configuration",
            fileList: ["../../ipc/examples/multicore/evmOMAPL138/message_dsp.cfg",
                       "../../ipc/examples/multicore/evmOMAPL138/message_common.cfg.xs"],
            description: "This template defines a configuration for MessageQ example on dsp processor on OMAPL138 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageC6472CfgTemplate =
        {
            title: "MessageQ on EVM6472 Configuration",
            fileList: ["../../ipc/examples/multicore/c6472/message_single.cfg"],
            description: "This template defines a configuration for MessageQ example on dsp processor on EVM6472 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageC6474CfgTemplate =
        {
            title: "MessageQ on EVM6474 Configuration",
            fileList: ["../../ipc/examples/multicore/c6474/message_single.cfg"],
            description: "This template defines a configuration for MessageQ example on dsp processor on EVM6474 ",
            template:[]
        };
    config xdc.tools.IRtscProductTemplate.TemplateInfo messageTCI6498CfgTemplate =
        {
            title: "MessageQ on TCI6498 Configuration",
            fileList: ["../../ipc/examples/multicore/simTCI6498/message_single.cfg"],
            description: "This template defines a configuration for MessageQ example on dsp processor on TCI6498 ",
            template:[]
        };

    override config xdc.tools.IRtscProductTemplate.TemplateInfo appTemplates[] = [
        {
            title: "Stream Example",
            fileList: ["../../io/examples/stream.c"],
            description: "This example shows the use of ti.sysbios.io.Stream module to demonstrate IO streaming using a driver. In this example we use the ti.sysbios.io.Generator driver module. This example uses the Stream_ISSUE_RECLAIM model. A single task gets data from an input channel and sends the data out to an output channel.",
            template: [streamCfgTemplate]
        },
        {
            title: "List Example",
            fileList: ["../../utils/examples/list.c"],
            description: "The list example shows how to use the ti.sdo.utils.List module to create and use a List instance as 1) a queue (First In First Out), 2) a stack (Last in First Out). It also shows how to traverse a list and how to remove an element.",
            template: [listCfgTemplate]
        },
        {
            title: "MultiProc Example",
            fileList: ["../../utils/examples/multiProc.c"],
            description: "The multiProc example shows how to use the basical functionality of the ti.sdo.utils.MultiProc module",
            template: [multiProcCfgTemplate]
        },
        {
            title: "MultiProc Single Image Example",
            fileList: ["../../utils/examples/multiProcSingleImage.c"],
            description: "The multiProcSingleImage example shows how to configure an image to be able to run on multiple cores. It sets the processor id dynamically during initialization.",
            template: [multiProcSingleImageCfgTemplate]
        },
        {
            title: "Notify Single Processor Example",
            fileList: ["../../ipc/examples/singlecore/notify_loopback.c"],
            description: "The message example shows how to use Notify. The NotifyDriverLoopback driver is used to allow the example to be run on a single processor.",
            template: [notifyLoopbackCfgTemplate]
        },
        {
            title: "MessageQ Single Processor Example",
            fileList: ["../../ipc/examples/singlecore/message.c"],
            description: "The message example shows how to use MessageQ on a single processor.",
            template: [messageCfgTemplate]
        },
        {
            title: "Notify on Video Processor DM740 Example",
            fileList: ["../../ipc/examples/multicore/evmDM740/notify_video.c"],
            description: "The notify_video example shows how to use Notify on DM740. It must be ran along with the Notify on DSS and Notify on DSP for DM740. Refer to the readme.txt for more details.",
            template: [notifyVideoDM740CfgTemplate]
        },
        {
            title: "Notify on DSS Processor DM740 Example",
            fileList: ["../../ipc/examples/multicore/evmDM740/notify_dss.c"],
            description: "The notify_dss example shows how to use Notify on DM740. It must be ran along with the Notify on Video and Notify on DSP for DM740. Refer to the readme.txt for more details.",
            template: [notifyDSSDM740CfgTemplate]
        },
        {
            title: "Notify on DSP Processor DM740 Example",
            fileList: ["../../ipc/examples/multicore/evmDM740/notify_dsp.c"],
            description: "The notify_dsp example shows how to use Notify on DM740. It must be ran along with the Notify on DSS and Notify on Video for DM740. Refer to the readme.txt for more details.",
            template: [notifyDSPDM740CfgTemplate]
        },
        {
            title: "Notify on Arm on DM6446 Example",
            fileList: ["../../ipc/examples/multicore/evmDM6446/notify_arm.c"],
            description: "The notify_arm example shows how to use Notify on DM6446. It must be ran along with the Notify on DSP for DM6446. Refer to the readme.txt for more details.",
            template: [notifyArmDM6446CfgTemplate]
        },
        {
            title: "Notify on Dsp on DM6446 Example",
            fileList: ["../../ipc/examples/multicore/evmDM6446/notify_dsp.c"],
            description: "The notify_dsp example shows how to use Notify on DM6446. It must be ran along with the Notify on Arm for DM6446. Refer to the readme.txt for more details.",
            template: [notifyDspDM6446CfgTemplate]
        },
        {
            title: "Notify on Arm on DA830 Example",
            fileList: ["../../ipc/examples/multicore/evmDA830/notify_arm.c"],
            description: "The notify_arm example shows how to use Notify on DA830. It must be ran along with the Notify on DSP for DA830. Refer to the readme.txt for more details.",
            template: [notifyArmDA830CfgTemplate]
        },
        {
            title: "Notify on Dsp on DA830 Example",
            fileList: ["../../ipc/examples/multicore/evmDA830/notify_dsp.c"],
            description: "The notify_dsp example shows how to use Notify on DA830. It must be ran along with the Notify on Arm for DA830. Refer to the readme.txt for more details.",
            template: [notifyDspDA830CfgTemplate]
        },
        {
            title: "Notify on Arm on OMAPL138 Example",
            fileList: ["../../ipc/examples/multicore/evmOMAPL138/notify_arm.c"],
            description: "The notify_arm example shows how to use Notify on OMAPL138. It must be ran along with the Notify on DSP for OMAPL138. Refer to the readme.txt for more details.",
            template: [notifyArmOMAPL138CfgTemplate]
        },
        {
            title: "Notify on Dsp on OMAPL138 Example",
            fileList: ["../../ipc/examples/multicore/evmOMAPL138/notify_dsp.c"],
            description: "The notify_dsp example shows how to use Notify on OMAPL138. It must be ran along with the Notify on Arm for OMAPL138. Refer to the readme.txt for more details.",
            template: [notifyDspOMAPL138CfgTemplate]
        },
        {
            title: "Notify on EVM6472 Example",
            fileList: ["../../ipc/examples/multicore/c6472/notify_single.c"],
            description: "The notify_single example shows how to use Notify on EVM6472. It is a single-image example that must be loaded on all cores. Refer to the readme.txt for more details.",
            template: [notifyC6472CfgTemplate]
        },
        {
            title: "Notify on EVM6474 Example",
            fileList: ["../../ipc/examples/multicore/c6474/notify_single.c"],
            description: "The notify_single example shows how to use Notify on EVM6474. It is a single-image example that must be loaded on all cores. Refer to the readme.txt for more details.",
            template: [notifyC6474CfgTemplate]
        },
        {
            title: "Notify on TCI6498 Example",
            fileList: ["../../ipc/examples/multicore/simTCI6498/notify_single.c"],
            description: "The notify_single example shows how to use Notify on TCI6498. It is a single-image example that must be loaded on all cores. Refer to the readme.txt for more details.",
            template: [notifyTCI6498CfgTemplate]
        },
        {
            title: "MessageQ on Video Processor DM740 Example",
            fileList: ["../../ipc/examples/multicore/evmDM740/message_video.c"],
            description: "The message_video example shows how to use MessageQ on DM740. It must be ran along with the MessageQ on DSS and MessageQ on DSP for DM740. Refer to the readme.txt for more details.",
            template: [messageVideoDM740CfgTemplate]
        },
        {
            title: "MessageQ on DSS Processor DM740 Example",
            fileList: ["../../ipc/examples/multicore/evmDM740/message_dss.c"],
            description: "The message_dss example shows how to use MessageQ on DM740. It must be ran along with the MessageQ on Video and MessageQ on DSP for DM740. Refer to the readme.txt for more details.",
            template: [messageDSSDM740CfgTemplate]
        },
        {
            title: "MessageQ on DSP Processor DM740 Example",
            fileList: ["../../ipc/examples/multicore/evmDM740/message_dsp.c"],
            description: "The message_dsp example shows how to use MessageQ on DM740. It must be ran along with the MessageQ on DSS and MessageQ on Video for DM740. Refer to the readme.txt for more details.",
            template: [messageDSPDM740CfgTemplate]
        },
        {
            title: "MessageQ on Arm on DM6446 Example",
            fileList: ["../../ipc/examples/multicore/evmDM6446/message_arm.c"],
            description: "The message_arm example shows how to use MessageQ on DM6446. It must be ran along with the MessageQ on DSP for DM6446. Refer to the readme.txt for more details.",
            template: [messageArmDM6446CfgTemplate]
        },
        {
            title: "MessageQ on Dsp on DM6446 Example",
            fileList: ["../../ipc/examples/multicore/evmDM6446/message_dsp.c"],
            description: "The message_dsp example shows how to use MessageQ on DM6446. It must be ran along with the MessageQ on Arm for DM6446. Refer to the readme.txt for more details.",
            template: [messageDspDM6446CfgTemplate]
        },
        {
            title: "MessageQ on Arm on DA830 Example",
            fileList: ["../../ipc/examples/multicore/evmDA830/message_arm.c"],
            description: "The message_arm example shows how to use MessageQ on DA830. It must be ran along with the MessageQ on DSP for DA830. Refer to the readme.txt for more details.",
            template: [messageArmDA830CfgTemplate]
        },
        {
            title: "MessageQ on Dsp on DA830 Example",
            fileList: ["../../ipc/examples/multicore/evmDA830/message_dsp.c"],
            description: "The message_dsp example shows how to use MessageQ on DA830. It must be ran along with the MessageQ on Arm for DA830. Refer to the readme.txt for more details.",
            template: [messageDspDA830CfgTemplate]
        },
        {
            title: "MessageQ on Arm on OMAPL138 Example",
            fileList: ["../../ipc/examples/multicore/evmOMAPL138/message_arm.c"],
            description: "The message_arm example shows how to use MessageQ on OMAPL138. It must be ran along with the MessageQ on DSP for OMAPL138. Refer to the readme.txt for more details.",
            template: [messageArmOMAPL138CfgTemplate]
        },
        {
            title: "MessageQ on Dsp on OMAPL138 Example",
            fileList: ["../../ipc/examples/multicore/evmOMAPL138/message_dsp.c"],
            description: "The message_dsp example shows how to use MessageQ on OMAPL138. It must be ran along with the MessageQ on Arm for OMAPL138. Refer to the readme.txt for more details.",
            template: [messageDspOMAPL138CfgTemplate]
        },
        {
            title: "MessageQ on EVM6472 Example",
            fileList: ["../../ipc/examples/multicore/c6472/message_single.c"],
            description: "The message_single example shows how to use MessageQ on EVM6472. It is a single-image example that must be loaded on all cores. Refer to the readme.txt for more details.",
            template: [messageC6472CfgTemplate]
        },
        {
            title: "MessageQ on EVM6474 Example",
            fileList: ["../../ipc/examples/multicore/c6474/message_single.c"],
            description: "The message_single example shows how to use MessageQ on EVM6474. It is a single-image example that must be loaded on all cores. Refer to the readme.txt for more details.",
            template: [messageC6474CfgTemplate]
        },
        {
            title: "MessageQ on TCI6498 Example",
            fileList: ["../../ipc/examples/multicore/simTCI6498/message_single.c"],
            description: "The message_single example shows how to use MessageQ on TCI6498. It is a single-image example that must be loaded on all cores. Refer to the readme.txt for more details.",
            template: [messageTCI6498CfgTemplate]
        },
    ];

    override config xdc.tools.IRtscProductTemplate.TemplateInfo configTemplates[] = [
            listCfgTemplate, multiProcCfgTemplate, multiProcSingleImageCfgTemplate,
            notifyLoopbackCfgTemplate, messageCfgTemplate,
            
            notifyVideoDM740CfgTemplate, notifyDSSDM740CfgTemplate, notifyDSPDM740CfgTemplate,
            notifyArmDM6446CfgTemplate, notifyDspDM6446CfgTemplate,
            notifyArmDA830CfgTemplate, notifyDspDA830CfgTemplate,
            notifyArmOMAPL138CfgTemplate, notifyDspOMAPL138CfgTemplate,
            notifyC6472CfgTemplate, 
            notifyC6474CfgTemplate, 
            notifyTCI6498CfgTemplate,
            
            messageVideoDM740CfgTemplate, messageDSSDM740CfgTemplate, messageDSPDM740CfgTemplate,
            messageArmDM6446CfgTemplate, messageDspDM6446CfgTemplate,
            messageArmDA830CfgTemplate, messageDspDA830CfgTemplate,
            messageArmOMAPL138CfgTemplate, messageDspOMAPL138CfgTemplate,
            messageC6472CfgTemplate,
            messageC6474CfgTemplate,
            messageTCI6498CfgTemplate,
    ];

}
/*
 *  @(#) ti.sdo.ipc.templates; 1,0,0,214; 4-9-2010 18:38:31; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

