/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/* ======== TransportShmSetup.xs ========
 *
 */

var TransportShmSetup = null;
var GateMP            = null;
var Ipc               = null;
var Notify            = null;
var SharedRegion      = null;
var TransportShm      = null;
var MultiProc         = null;

/*
 *  ======== module$use ========
 */
function module$use()
{
    TransportShmSetup = this;
    GateMP       = xdc.useModule("ti.sdo.ipc.GateMP");
    Ipc          = xdc.useModule("ti.sdo.ipc.Ipc");
    Notify       = xdc.useModule("ti.sdo.ipc.Notify");
    SharedRegion = xdc.useModule("ti.sdo.ipc.SharedRegion");
    TransportShm = xdc.useModule("ti.sdo.ipc.transports.TransportShm");
    MultiProc    = xdc.useModule("ti.sdo.utils.MultiProc");
}

/*
 * ======== module$static$init ========
 */
function module$static$init(mod, params)
{   
    /* set the length of handles to the number of processors */
    mod.handles.length = MultiProc.numProcessors;

    /* init the remote processor handles to null */
    for (var i=0; i < mod.handles.length; i++) {
        mod.handles[i] = null;
    }
}
/*
 *  @(#) ti.sdo.ipc.transports; 1, 0, 0, 0,109; 4-9-2010 18:38:36; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

