/* 
 * Copyright (c) 2010
 * Texas Instruments
 *
 *  All rights reserved.  Property of Texas Instruments
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 * 
 * */
/*
 *  ======== INameServerRemote.xdc ========
 *
 */

import xdc.runtime.Error;

/*!
 *  ======== INameServerRemote ========
 *  Interface for remote NameServer accesses
 */
interface INameServerRemote {

    /*!
     *  ======== Status ========
     *  Status codes returned by certain calls
     */
    enum Status {
        S_SUCCESS = 0,
        E_FAIL = -1,
        E_ERROR = -2
    };

instance:

    /*!
     *  ======== create ========
     */
    override create(UInt16 procId);

    /*!
     *  ======== get ========
     */
    Int get(String instanceName, 
            String name,
            Ptr value,
            UInt32 *valueLen,
            xdc.runtime.knl.ISync.Handle syncHandle,
            Error.Block *eb);
}
/*
 *  @(#) ti.sdo.utils; 1, 0, 0, 0,372; 4-9-2010 18:38:38; /db/vtree/library/trees/ipc/ipc-d23x/src/
 */

